package com.steerinfo.baseinfo.meterbaserailwayweight.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.math.BigDecimal;
import java.util.Date;

@ApiModel(value="火车车厢期限皮重表")
public class MeterBaseRailwayWeight implements IBasePO<String> {
    /**
     * 主键编号(RAILWAY_PK,VARCHAR,20)
     */
    @ApiModelProperty(value="主键编号",required=true)
    private String railwayPk;

    /**
     * 火车车厢号(RAILWAY_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="火车车厢号",required=true)
    private String railwayNo;

    /**
     * 重量(RAILWAY_WEIGHT,DECIMAL,10)
     */
    @ApiModelProperty(value="重量",required=true)
    private BigDecimal railwayWeight;

    /**
     * 火车类型(RAILWAY_TYPE,VARCHAR,1)
     */
    @ApiModelProperty(value="火车类型",required=true)
    private String railwayType;

    /**
     * 轨道衡类型编号(RAILWAY_TYPE_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="轨道衡类型编号",required=true)
    private String railwayTypeNo;

    /**
     * 轨道衡类型名称(RAILWAY_TYPE_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="轨道衡类型名称",required=true)
    private String railwayTypeName;

    /**
     * 状态(VALUE_FLAG,VARCHAR,1)
     */
    @ApiModelProperty(value="状态",required=true)
    private String valueFlag;

    /**
     * 创建人编号(CREATE_MAN_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="创建人编号",required=true)
    private String createManNo;

    /**
     * 创建人姓名(CREATE_MAN_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="创建人姓名",required=true)
    private String createManName;

    /**
     * 创建时间(CREATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="创建时间",required=true)
    private Date createTime;

    /**
     * 修改人编号(UPDATE_MAN_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="修改人编号",required=false)
    private String updateManNo;

    /**
     * 修改人姓名(UPDATE_MAN_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="修改人姓名",required=false)
    private String updateManName;

    /**
     * 修改时间(UPDATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="修改时间",required=false)
    private Date updateTime;

    /**
     * 有效开始时间(START_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="有效开始时间",required=true)
    private Date startTime;

    /**
     * 有效结束时间(END_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="有效结束时间",required=true)
    private Date endTime;

    /**
     * 有效期(TERM_VALIDITY,DECIMAL,3)
     */
    @ApiModelProperty(value="有效期",required=false)
    private int termValidity;

    /**
     * 动轨期限皮类型
     */
    @ApiModelProperty(value="动轨期限皮类型",required=false)
    private String tareTypeNo;

    /**
     * 动轨期限皮类型
     */
    @ApiModelProperty(value="动轨期限皮类型",required=false)
    private String tareTypeName;

    @ApiModelProperty(value="期限皮类型",required=false)
    private String tareType;

    private static final long serialVersionUID = 1L;

    @Override
    public String getId() {
        return this.railwayPk;
    }

    @Override
    public void setId(String railwayPk) {
        this.railwayPk = railwayPk == null ? null : railwayPk.trim();
    }

    public String getRailwayPk() {
        return railwayPk;
    }

    public void setRailwayPk(String railwayPk) {
        this.railwayPk = railwayPk == null ? null : railwayPk.trim();
    }

    public String getRailwayNo() {
        return railwayNo;
    }

    public void setRailwayNo(String railwayNo) {
        this.railwayNo = railwayNo == null ? null : railwayNo.trim();
    }

    public BigDecimal getRailwayWeight() {
        return railwayWeight;
    }

    public void setRailwayWeight(BigDecimal railwayWeight) {
        this.railwayWeight = railwayWeight;
    }

    public String getRailwayType() {
        return railwayType;
    }

    public void setRailwayType(String railwayType) {
        this.railwayType = railwayType == null ? null : railwayType.trim();
    }

    public String getRailwayTypeNo() {
        return railwayTypeNo;
    }

    public void setRailwayTypeNo(String railwayTypeNo) {
        this.railwayTypeNo = railwayTypeNo == null ? null : railwayTypeNo.trim();
    }

    public String getRailwayTypeName() {
        return railwayTypeName;
    }

    public void setRailwayTypeName(String railwayTypeName) {
        this.railwayTypeName = railwayTypeName == null ? null : railwayTypeName.trim();
    }

    public String getValueFlag() {
        return valueFlag;
    }

    public void setValueFlag(String valueFlag) {
        this.valueFlag = valueFlag == null ? null : valueFlag.trim();
    }

    public String getCreateManNo() {
        return createManNo;
    }

    public void setCreateManNo(String createManNo) {
        this.createManNo = createManNo == null ? null : createManNo.trim();
    }

    public String getCreateManName() {
        return createManName;
    }

    public void setCreateManName(String createManName) {
        this.createManName = createManName == null ? null : createManName.trim();
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getUpdateManNo() {
        return updateManNo;
    }

    public void setUpdateManNo(String updateManNo) {
        this.updateManNo = updateManNo == null ? null : updateManNo.trim();
    }

    public String getUpdateManName() {
        return updateManName;
    }

    public void setUpdateManName(String updateManName) {
        this.updateManName = updateManName == null ? null : updateManName.trim();
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Date getStartTime() {
        return startTime;
    }

    public void setStartTime(Date startTime) {
        this.startTime = startTime;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    public int getTermValidity() {
        return termValidity;
    }

    public void setTermValidity(int termValidity) {
        this.termValidity = termValidity;
    }

    public String getTareTypeNo() {
        return tareTypeNo;
    }
    public void setTareTypeNo(String tareTypeNo) {
        this.tareTypeNo = tareTypeNo == null ? null : tareTypeNo.trim();
    }

    public String getTareTypeName() {
        return tareTypeName;
    }
    public void setTareTypeName(String tareTypeName) {
        this.tareTypeName = tareTypeName == null ? null : tareTypeName.trim();
    }

    public String getTareType() {
        return tareType;
    }
    public void setTareType(String tareType) {
        this.tareType = tareType == null ? null : tareType.trim();
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", railwayPk=").append(railwayPk);
        sb.append(", railwayNo=").append(railwayNo);
        sb.append(", railwayWeight=").append(railwayWeight);
        sb.append(", railwayType=").append(railwayType);
        sb.append(", railwayTypeNo=").append(railwayTypeNo);
        sb.append(", railwayTypeName=").append(railwayTypeName);
        sb.append(", valueFlag=").append(valueFlag);
        sb.append(", createManNo=").append(createManNo);
        sb.append(", createManName=").append(createManName);
        sb.append(", createTime=").append(createTime);
        sb.append(", updateManNo=").append(updateManNo);
        sb.append(", updateManName=").append(updateManName);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", startTime=").append(startTime);
        sb.append(", endTime=").append(endTime);
        sb.append(", termValidity=").append(termValidity);
        sb.append(", tareTypeNo=").append(tareTypeNo);
        sb.append(", tareTypeName=").append(tareTypeName);
        sb.append(", tareType=").append(tareTypeName);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}